## libxstream-java 1.3.1

=== debian/changelog ===
libxstream-java (1.3.1-7) unstable; urgency=low

  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Thu, 18 Aug 2011 15:01:00 +0200

libxstream-java (1.3.1-6) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/control
    - Add quilt build dependency.
  * debian/rules
    - Include patchsys-quilt.mk rule.
  * debian/patches/01_fix_classpath.diff
    - Add appropriate jar files in classpath using manifest attribute.
      (LP: #457660)
  * debian/patches/series
    - Create new and include the new patch added.
  * debian/README.source
    - Add to comply with policy.

  [ Michael Koch ]
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Wed, 04 Nov 2009 21:10:05 +0100

libxstream-java (1.3.1-5) unstable; urgency=low

  * Switch to default-jdk
  * Build-Depends: replace cglib2.1 with cglib (Closes: #550613)
  * Bump Standards-Version to 3.8.3
  * Bump dh compat to 7

 -- Varun Hiremath <varun@debian.org>  Thu, 15 Oct 2009 14:35:55 -0400

libxstream-java (1.3.1-4) unstable; urgency=low

  * Add missing dependencies to Depends and Suggests

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 14 Aug 2009 23:30:34 +0100

libxstream-java (1.3.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 12:57:52 +0200

libxstream-java (1.3.1-2) experimental; urgency=low

  * Change section to java
  * Bump up Standards-Version to 3.8.2
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Remove Depends on Java runtimes as it is a library
  * Add the Maven POM to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 28 Jul 2009 20:51:09 +0100

libxstream-java (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Minor cleanups

 -- Torsten Werner <twerner@debian.org>  Thu, 01 Jan 2009 01:20:34 +0100

libxstream-java (1.3-4) unstable; urgency=low

  * Fix java bytecode / java runtime version mismatch by setting -source
    and -target to 1.5 (Closes: #503789)

 -- Varun Hiremath <varun@debian.org>  Sat, 01 Nov 2008 11:41:26 -0400

libxstream-java (1.3-3) unstable; urgency=low

  * Really move package to main.

 -- Torsten Werner <twerner@debian.org>  Mon, 11 Aug 2008 18:13:41 +0200

libxstream-java (1.3-2) unstable; urgency=low

  * Build package with OpenJDK now.
  * Move package to main.
  * Bump Standards-Version: 3.8.0 (no changes needed).

 -- Torsten Werner <twerner@debian.org>  Mon, 11 Aug 2008 17:50:31 +0200

libxstream-java (1.3-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders
  * Bump Standards-Version to 3.7.3
  * Remove patches/encoding.diff - not required

 -- Varun Hiremath <varun@debian.org>  Thu, 28 Feb 2008 15:30:34 +0530

libxstream-java (1.2.2-1) unstable; urgency=low

  * initial version (Closes: #453149)

 -- Torsten Werner <twerner@debian.org>  Sat, 24 Nov 2007 00:01:40 +0100
