=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE    := xstream/build.xml
DEB_ANT_BUILD_TARGET := benchmark:compile jar
DEB_JARS             := ant-nodeps xom joda-time jettison cglib dom4j xpp3 jdom1
ANT_OPTS	     := -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5

binary-post-install/$(PACKAGE)::
	mh_installpoms -p$(PACKAGE)
	mh_installjar -p$(PACKAGE) -l xstream/pom.xml xstream/target/xstream-SNAPSHOT.jar
	mh_installjar -p$(PACKAGE) -l xstream-benchmark/pom.xml xstream/target/xstream-benchmark-SNAPSHOT.jar

clean::
	-rm -rf debian/tmp

get-orig-source:
	uscan --force-download --rename
