## libxstream-java 1.4.2

=== debian/changelog ===
libxstream-java (1.4.2-1+deb7u2) wheezy-security; urgency=high

  * CVE-2016-7957: Prevent a remote application crash due to mishandled
    attempts to create an instance of the primitive type 'void' during
    unmarshalling. (Closes: #861521)

 -- Chris Lamb <lamby@debian.org>  Mon, 01 May 2017 09:39:36 +0100

libxstream-java (1.4.2-1+deb7u1) wheezy-security; urgency=high

  * Team upload.

  [ Emmanuel Bourg ]
  * Security update:
    - CVE-2016-3674: XML external entity injection vulnerability
      (Closes: #819455)

 -- Markus Koschany <apo@debian.org>  Mon, 06 Jun 2016 10:42:18 +0200

libxstream-java (1.4.2-1) unstable; urgency=low

  [ tony mancill ]
  * Remove Michael Koch from Uploaders (Closes: #654106)
  * Update Standards-Version: 3.9.3.

  [ Damien Raude-Morvan ]
  * New upstream release:
    - Add Build-Depends on libstax-java, libwoodstox-java, libstax2-api-java
      and libkxml2-java (and Suggests).
  * Use maven-ant-helper for build:
    - Add Build-Depends on maven-ant-helper.
    - New debian/build.xml.
    - Drop patch on MANIFEST.MF update and use jh_manifest.
    - Add Build-Depends on javahelper.
  * Add myself as Uploader.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 28 May 2012 23:14:16 +0200
