=== debian/control ===
--- 
+++ 
@@ -2,21 +2,45 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Torsten Werner <twerner@debian.org>, Varun Hiremath <varun@debian.org>, Michael Koch <konqueror@gmx.de>
-Build-Depends: debhelper (>= 7), cdbs
-Build-Depends-Indep: ant, default-jdk, libxom-java, libjoda-time-java,
- libjettison-java, libcglib-java, libdom4j-java, libxpp3-java,
- libjdom1-java, maven-repo-helper
-Standards-Version: 3.9.1
+Uploaders: Torsten Werner <twerner@debian.org>,
+           Varun Hiremath <varun@debian.org>,
+           Damien Raude-Morvan <drazzib@debian.org>
+Build-Depends: ant,
+               cdbs,
+               debhelper (>= 7),
+               default-jdk,
+               javahelper,
+               libcglib-java,
+               libdom4j-java,
+               libjdom1-java,
+               libjettison-java,
+               libjoda-time-java,
+               libkxml2-java,
+               libstax-java,
+               libstax2-api-java,
+               libwoodstox-java,
+               libxom-java,
+               libxpp3-java,
+               maven-ant-helper,
+               maven-repo-helper
+Standards-Version: 3.9.3
 Homepage: http://xstream.codehaus.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libxstream-java
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libxstream-java
 
 Package: libxstream-java
 Architecture: all
-Depends: ${misc:Depends}, libxpp3-java
-Suggests: libdom4j-java, libjdom1-java, libjoda-time-java, libstax-java, 
- libxom-java, libcglib2.1-java, libjettison-java
+Depends: libxpp3-java, ${misc:Depends}
+Suggests: libcglib-java,
+          libdom4j-java,
+          libjdom1-java,
+          libjettison-java,
+          libjoda-time-java,
+          libkxml2-java,
+          libstax-java,
+          libstax2-api-java,
+          libwoodstox-java,
+          libxom-java
 Description: Java library to serialize objects to XML and back again
  The features of the XStream library are:
  .
