=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-nodeps xom joda-time jettison cglib dom4j xpp3 jdom1 stax woodstox-core-lgpl kxml2 stax2-api
DEB_ANT_BUILD_TARGET := package javadoc
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_ARGS         := -Dbasedir=$(realpath .) -Dpackage=xstream -Dversion=$(VERSION)

pre-build::
	-rm xstream/src/java/com/thoughtworks/xstream/converters/reflection/HarmonyReflectionProvider.java

binary-post-install/$(PACKAGE)::
	mh_installpoms -p$(PACKAGE)
	mh_installjar -p$(PACKAGE) -l xstream/pom.xml xstream/build/xstream-$(VERSION).jar
	mh_installjar -p$(PACKAGE) -l xstream-benchmark/pom.xml xstream-benchmark/build/xstream-benchmark-$(VERSION).jar
	jh_manifest

clean::
	mh_clean

get-orig-source:
	uscan --force-download --rename
