## libxstream-java 1.4.4

=== debian/changelog ===
libxstream-java (1.4.4-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version: 3.9.4 (no changes)
  * Use canonical URLs for the Vcs-* fields
  * debian/rules: Improved the clean target to allow rebuilds

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Jul 2013 22:38:00 +0200
