=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Torsten Werner <twerner@debian.org>,
            Varun Hiremath <varun@debian.org>,
-           Damien Raude-Morvan <drazzib@debian.org>
+           Damien Raude-Morvan <drazzib@debian.org>,
+           Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: ant,
                cdbs,
                debhelper (>= 7),
@@ -23,10 +24,10 @@
                libxpp3-java,
                maven-ant-helper,
                maven-repo-helper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://xstream.codehaus.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libxstream-java
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libxstream-java
+Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libxstream-java
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libxstream-java
 
 Package: libxstream-java
 Architecture: all
