=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: libxstream-java
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Torsten Werner <twerner@debian.org>,
            Varun Hiremath <varun@debian.org>,
            Damien Raude-Morvan <drazzib@debian.org>,
            Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: ant,
                cdbs,
-               debhelper (>= 7),
+               debhelper (>= 9),
                default-jdk,
                javahelper,
                libcglib-java,
                libdom4j-java,
                libjdom1-java,
+               libjdom2-java,
                libjettison-java,
                libjoda-time-java,
                libkxml2-java,
@@ -24,10 +26,10 @@
                libxpp3-java,
                maven-ant-helper,
                maven-repo-helper
-Standards-Version: 3.9.4
-Homepage: http://xstream.codehaus.org
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libxstream-java
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libxstream-java
+Homepage: http://xstream.codehaus.org
 
 Package: libxstream-java
 Architecture: all
@@ -35,6 +37,7 @@
 Suggests: libcglib-java,
           libdom4j-java,
           libjdom1-java,
+          libjdom2-java,
           libjettison-java,
           libjoda-time-java,
           libkxml2-java,
