## libxstream-java 1.4.8

=== debian/changelog ===
libxstream-java (1.4.8-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: handle void type class (LP: #1780844)
    - d/p/CVE-2017-7957.patch: Prevent deserialization of void.
    - CVE-2017-7957

 -- Dan Streetman <ddstreet@canonical.com>  Mon, 09 Jul 2018 15:21:51 -0400

libxstream-java (1.4.8-1) unstable; urgency=medium

  * New upstream release
  * Added a patch to compile with Java 7
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Apr 2015 17:53:25 +0200

libxstream-java (1.4.7-2) unstable; urgency=medium

  * Depend on libcglib3-java instead of libcglib-java
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Sep 2014 19:53:09 +0200
