=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper (>= 9),
                default-jdk,
                javahelper,
-               libcglib-java,
+               libcglib3-java,
                libdom4j-java,
                libjdom1-java,
                libjdom2-java,
@@ -26,15 +26,15 @@
                libxpp3-java,
                maven-ant-helper,
                maven-repo-helper
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libxstream-java
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libxstream-java
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/libxstream-java.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libxstream-java.git
 Homepage: http://xstream.codehaus.org
 
 Package: libxstream-java
 Architecture: all
 Depends: libxpp3-java, ${misc:Depends}
-Suggests: libcglib-java,
+Suggests: libcglib3-java,
           libdom4j-java,
           libjdom1-java,
           libjdom2-java,
