=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PACKAGE              := $(DEB_SOURCE_PACKAGE)
 VERSION              := $(DEB_UPSTREAM_VERSION)
 JAVA_HOME            := /usr/lib/jvm/default-java
-DEB_JARS             := ant-nodeps xom joda-time jettison cglib dom4j xpp3 jdom1 jdom2 stax woodstox-core-lgpl kxml2 stax2-api
+DEB_JARS             := ant-nodeps xom joda-time jettison cglib3 dom4j xpp3 jdom1 jdom2 stax woodstox-core-lgpl kxml2 stax2-api
 DEB_ANT_BUILD_TARGET := package javadoc
 DEB_ANT_BUILDFILE    := debian/build.xml
 DEB_ANT_ARGS         := -Dbasedir=$(realpath .) -Dpackage=xstream -Dversion=$(VERSION)
