=== debian/control ===
--- 
+++ 
@@ -1,50 +1,38 @@
 Source: libxstream-java
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Torsten Werner <twerner@debian.org>,
            Varun Hiremath <varun@debian.org>,
            Damien Raude-Morvan <drazzib@debian.org>,
            Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: ant,
-               cdbs,
+Build-Depends: maven-debian-helper,
                debhelper (>= 9),
                default-jdk,
                javahelper,
-               libcglib3-java,
+               libbuild-helper-maven-plugin-java,
+               libcglib-nodep-java,
                libdom4j-java,
                libjdom1-java,
                libjdom2-java,
                libjettison-java,
                libjoda-time-java,
                libkxml2-java,
+               libmaven-bundle-plugin-java,
                libstax-java,
                libstax2-api-java,
                libwoodstox-java,
                libxom-java,
-               libxpp3-java,
-               maven-ant-helper,
-               maven-repo-helper
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/libxstream-java.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libxstream-java.git
-Homepage: http://xstream.codehaus.org
+               libxpp3-java
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/libxstream-java.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libxstream-java.git
+Homepage: http://x-stream.github.io
 
 Package: libxstream-java
 Architecture: all
-Depends: libxpp3-java, ${misc:Depends}
-Suggests: libcglib3-java,
-          libdom4j-java,
-          libjdom1-java,
-          libjdom2-java,
-          libjettison-java,
-          libjoda-time-java,
-          libkxml2-java,
-          libstax-java,
-          libstax2-api-java,
-          libwoodstox-java,
-          libxom-java
+Depends: ${misc:Depends}, ${maven:Depends}
+Suggests: ${maven:OptionalDepends}
 Description: Java library to serialize objects to XML and back again
  The features of the XStream library are:
  .
