=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven --with javahelper

get-orig-source:
	uscan --download-current-version --force-download --rename --repack --compression xz
