## libxstream-java 1.4.10

=== debian/changelog ===
libxstream-java (1.4.10-1) unstable; urgency=medium

  * New upstream release
    - Removed CVE-2017-7957.patch (fixed upstream)
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 10:22:33 +0200
