=== debian/control ===
--- 
+++ 
@@ -2,36 +2,38 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Torsten Werner <twerner@debian.org>,
-           Varun Hiremath <varun@debian.org>,
-           Damien Raude-Morvan <drazzib@debian.org>,
-           Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: maven-debian-helper,
-               debhelper (>= 9),
-               default-jdk,
-               javahelper,
-               libbuild-helper-maven-plugin-java,
-               libcglib-nodep-java,
-               libdom4j-java,
-               libjdom1-java,
-               libjdom2-java,
-               libjettison-java,
-               libjoda-time-java,
-               libkxml2-java,
-               libmaven-bundle-plugin-java,
-               libstax-java,
-               libstax2-api-java,
-               libwoodstox-java,
-               libxom-java,
-               libxpp3-java
-Standards-Version: 3.9.7
+Uploaders:
+ Torsten Werner <twerner@debian.org>,
+ Varun Hiremath <varun@debian.org>,
+ Damien Raude-Morvan <drazzib@debian.org>,
+ Emmanuel Bourg <ebourg@apache.org>
+Build-Depends:
+ debhelper (>= 10),
+ default-jdk,
+ javahelper,
+ libbuild-helper-maven-plugin-java,
+ libcglib-nodep-java,
+ libdom4j-java,
+ libjdom1-java,
+ libjdom2-java,
+ libjettison-java,
+ libjoda-time-java,
+ libkxml2-java,
+ libmaven-bundle-plugin-java,
+ libstax-java,
+ libstax2-api-java,
+ libwoodstox-java,
+ libxom-java,
+ libxpp3-java,
+ maven-debian-helper
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/libxstream-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libxstream-java.git
 Homepage: http://x-stream.github.io
 
 Package: libxstream-java
 Architecture: all
-Depends: ${misc:Depends}, ${maven:Depends}
+Depends: ${maven:Depends}, ${misc:Depends}
 Suggests: ${maven:OptionalDepends}
 Description: Java library to serialize objects to XML and back again
  The features of the XStream library are:
