=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
https://github.com/x-stream/xstream/tags .*/archive/XSTREAM_([\d_]+).tar.gz
