## libxstream-java 1.4.11.1

=== debian/changelog ===
libxstream-java (1.4.11.1-1+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2024-47072:
    XStream is a simple library to serialize objects to XML and back again.
    This vulnerability may allow a remote attacker to terminate the application
    with a stack overflow error resulting in a denial of service only by
    manipulating the processed input stream when XStream is configured to use
    the BinaryStreamDriver. XStream has been patched to detect the
    manipulation in the binary input stream causing the the stack overflow and
    raises an InputManipulationException instead.

 -- Markus Koschany <apo@debian.org>  Tue, 22 Apr 2025 08:29:26 +0200

libxstream-java (1.4.11.1-1+deb8u6) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2022-41966:
    XStream serializes Java objects to XML and back again. Versions prior to
    1.4.11.1-1+deb8u6 may allow a remote attacker to terminate the application
    with a stack overflow error, resulting in a denial of service only via
    manipulation of the processed input stream. The attack uses the hash code
    implementation for collections and maps to force recursive hash calculation
    causing a stack overflow. This issue is patched in version
    1.4.11.1-1+deb8u6 which handles the stack overflow and raises an
    InputManipulationException instead.
  * Enforce OpenJDK 7 to build libxstream-java.

 -- Markus Koschany <apo@debian.org>  Mon, 16 Jan 2023 12:46:12 +0100

libxstream-java (1.4.11.1-1+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * CVE-2021-43859: Prevent a potential remote denial of service (DoS) attack
    that could have consumed 100% of the CPU resources. Xstream now monitors
    and accumulates the time it takes to add elements to collections and throws
    an exception if a set threshold is exceeded.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Feb 2022 13:42:34 -0800

libxstream-java (1.4.11.1-1+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Enable the security whitelist by default to prevent RCE vulnerabilities.
    XStream no longer uses a blacklist because it cannot be secured for general
    purpose.

 -- Markus Koschany <apo@debian.org>  Thu, 30 Sep 2021 13:55:31 +0200

libxstream-java (1.4.11.1-1+deb8u3) jessie-security; urgency=high
  
  * Non-maintainer upload by the ELTS Security Team.
  * CVE-2021-29505: a remote attacker may get sufficient rights to execute
    commands of the host only by manipulating the processed input stream.
  
 -- Sylvain Beucler <beuc@debian.org>  Sat, 03 Jul 2021 20:40:58 +0200
  

libxstream-java (1.4.11.1-1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2021-21341 to CVE-2021-21351:
    In XStream there is a vulnerability which may allow a remote attacker to
    load and execute arbitrary code from a remote host only by manipulating the
    processed input stream.

    The type hierarchies for java.io.InputStream, java.nio.channels.Channel,
    javax.activation.DataSource and javax.sql.rowsel.BaseRowSet are now
    blacklisted as well as the individual types
    com.sun.corba.se.impl.activation.ServerTableEntry,
    com.sun.tools.javac.processing.JavacProcessingEnvironment$NameProcessIterator,
    sun.awt.datatransfer.DataTransferer$IndexOrderComparator, and
    sun.swing.SwingLazyValue. Additionally the internal type
    Accessor$GetterSetterReflection of JAXB, the internal types
    MethodGetter$PrivilegedGetter and ServiceFinder$ServiceNameIterator of
    JAX-WS, all inner classes of javafx.collections.ObservableList and an
    internal ClassLoader used in a private BCEL copy are now part of the
    default blacklist and the deserialization of XML containing one of the two
    types will fail. You will have to enable these types by explicit
    configuration, if you need them.

 -- Markus Koschany <apo@debian.org>  Sat, 03 Apr 2021 19:17:05 +0200

libxstream-java (1.4.11.1-1+deb8u1) jessie-security; urgency=high

  * Team upload.
  * Fix CVE-2020-26258:
    XStream is vulnerable to a Server-Side Forgery Request which can be
    activated when unmarshalling. The vulnerability may allow a remote attacker
    to request data from internal resources that are not publicly available
    only by manipulating the processed input stream.
  * Fix CVE-2020-26259:
    Xstream is vulnerable to an Arbitrary File Deletion on the local host when
    unmarshalling. The vulnerability may allow a remote attacker to delete
    arbitrary known files on the host as long as the executing process has
    sufficient rights only by manipulating the processed input stream.

 -- Markus Koschany <apo@debian.org>  Thu, 31 Dec 2020 14:15:35 +0100

libxstream-java (1.4.11.1-1+deb10u1) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2020-26217:
    It was found that XStream is vulnerable to Remote Code Execution. The
    vulnerability may allow a remote attacker to run arbitrary shell commands
    only by manipulating the processed input stream. Users who rely on
    blocklists are affected (the default in Debian). We strongly recommend to
    use the whitelist approach of XStream's Security Framework because there
    are likely more class combinations the blacklist approach may not address.

 -- Markus Koschany <apo@debian.org>  Tue, 01 Dec 2020 23:35:51 +0100

libxstream-java (1.4.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.11.1.

 -- Markus Koschany <apo@debian.org>  Sun, 11 Nov 2018 00:04:59 +0100

libxstream-java (1.4.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.11.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Build-depend on libjaxb-api-java to fix FTBFS with Java 11.
    (Closes: #912377)
  * Add a new maven rule for xpp3 to fix a FTBFS.

