=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Torsten Werner <twerner@debian.org>,
  Varun Hiremath <varun@debian.org>,
- Damien Raude-Morvan <drazzib@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 10),
- default-jdk,
+ debhelper (>= 9),
+ openjdk-7-jdk,
  javahelper,
  libbuild-helper-maven-plugin-java,
- libcglib-nodep-java,
+ libcglib3-java,
  libdom4j-java,
+ libjaxb-api-java,
  libjdom1-java,
  libjdom2-java,
  libjettison-java,
@@ -26,7 +26,7 @@
  libxom-java,
  libxpp3-java,
  maven-debian-helper
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/libxstream-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libxstream-java.git
 Homepage: http://x-stream.github.io
