=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/java-1.7.0-openjdk-amd64

%:
	dh $@ --buildsystem=maven --with javahelper

get-orig-source:
	uscan --download-current-version --force-download --rename --repack --compression xz
