## libxstream-java 1.4.11.1.1

=== debian/changelog ===
libxstream-java (1.4.11.1.1-1+deb10u2+dde) unstable; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Wed, 07 Jul 2021 11:34:58 +0800

libxstream-java (1.4.11.1.1-1+deb10u2+dde) buster-security; urgency=high

  * Non-maintainer upload.
  * Update version.

 -- wangpei <wangpei@uniontech.com>  Wed, 30 Jun 2021 14:31:23 +0800

libxstream-java (1.4.11.1-1+deb10u2) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2020-26258:
    XStream is vulnerable to a Server-Side Forgery Request which can be
    activated when unmarshalling. The vulnerability may allow a remote attacker
    to request data from internal resources that are not publicly available
    only by manipulating the processed input stream.
  * Fix CVE-2020-26259:
    Xstream is vulnerable to an Arbitrary File Deletion on the local host when
    unmarshalling. The vulnerability may allow a remote attacker to delete
    arbitrary known files on the host as long as the executing process has
    sufficient rights only by manipulating the processed input stream.

 -- Markus Koschany <apo@debian.org>  Thu, 31 Dec 2020 14:15:35 +0100
