## libxstream-java 1.4.15

=== debian/changelog ===
libxstream-java (1.4.15-3+deb11u3) bullseye-security; urgency=medium

  * Team upload by LTS team
  * Fix CVE-2021-43859: Denial of Service (DoS) by injecting
    highly recursive collections or maps. The vulnerability
    may allow a remote attacker to allocate 100% CPU time
    on the target system depending on CPU type or parallel
    execution of such a payload resulting in a denial of
    service only by manipulating the processed input stream.
  * Fix CVE-2021-43859: This vulnerability may allow a remote
    attacker to terminate the application with a stack
    overflow error resulting in a denial of service only by
    manipulating the processed input stream when XStream
    is configured to use the BinaryStreamDriver
    (Closes:  #1087274)

 -- Bastien Roucariès <rouca@debian.org>  Sat, 21 Dec 2024 18:58:45 +0000

libxstream-java (1.4.15-3+deb11u2) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2022-41966:
    XStream serializes Java objects to XML and back again. Versions prior to
    1.4.15-3+deb11u2 may allow a remote attacker to terminate the application
    with a stack overflow error, resulting in a denial of service only via
    manipulation of the processed input stream. The attack uses the hash code
    implementation for collections and maps to force recursive hash calculation
    causing a stack overflow. This issue is patched in version 1.4.15-3+deb11u2
    which handles the stack overflow and raises an InputManipulationException
    instead. A potential workaround for users who only use HashMap or HashSet
    and whose XML refers these only as default map or set, is to change the
    default implementation of java.util.Map and java.util per the code example
    in the referenced advisory. However, this implies that your application
    does not care about the implementation of the map and all elements are
    comparable. (Closes: #1027754)

 -- Markus Koschany <apo@debian.org>  Wed, 11 Jan 2023 14:00:44 +0100

libxstream-java (1.4.15-3+deb11u1) bullseye-security; urgency=high

  * Team upload.
  * Enable the security whitelist by default to prevent RCE vulnerabilities.
    XStream no longer uses a blacklist because it cannot be secured for general
    purpose.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Oct 2021 13:30:58 +0200

libxstream-java (1.4.15-3) unstable; urgency=medium

  * Team upload.
  * debian/patches
    - Add 0004-Fix-CVE-2021-29505-from-upstream-commit-Closes-98949.patch to
      deal with CVE-2021-29505 (Closes: 98949)

      For more detail, see
      https://github.com/x-stream/xstream/security/advisories/GHSA-7chv-rrw6-w6fc

 -- Hideki Yamane <henrich@debian.org>  Thu, 17 Jun 2021 21:45:48 +0900

libxstream-java (1.4.15-2) unstable; urgency=high

  * Team upload.
  * Fix CVE-2021-21341 to CVE-2021-21351:
    In XStream there is a vulnerability which may allow a remote attacker to
    load and execute arbitrary code from a remote host only by manipulating the
    processed input stream.

    The type hierarchies for java.io.InputStream, java.nio.channels.Channel,
    javax.activation.DataSource and javax.sql.rowsel.BaseRowSet are now
    blacklisted as well as the individual types
    com.sun.corba.se.impl.activation.ServerTableEntry,
    com.sun.tools.javac.processing.JavacProcessingEnvironment$NameProcessIterator,
    sun.awt.datatransfer.DataTransferer$IndexOrderComparator, and
    sun.swing.SwingLazyValue. Additionally the internal type
    Accessor$GetterSetterReflection of JAXB, the internal types
    MethodGetter$PrivilegedGetter and ServiceFinder$ServiceNameIterator of
    JAX-WS, all inner classes of javafx.collections.ObservableList and an
    internal ClassLoader used in a private BCEL copy are now part of the
    default blacklist and the deserialization of XML containing one of the two
    types will fail. You will have to enable these types by explicit
    configuration, if you need them.

 -- Markus Koschany <apo@debian.org>  Sat, 03 Apr 2021 19:17:05 +0200

libxstream-java (1.4.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.15. (Closes: #977624, #977625)
    - Fix CVE-2020-26258: A Server-Side Forgery Request can be activated
      unmarshalling with XStream to access data streams from an arbitrary URL
      referencing a resource in an intranet or the local host.
    - Fix CVE-2020-26259: XStream is vulnerable to an Arbitrary File Deletion
      on the local host when unmarshalling as long as the executing process has
      sufficient rights.
    Thanks to Salvatore Bonaccorso for the report.
  * Ignore dependency on libjaxws-java.

 -- Markus Koschany <apo@debian.org>  Fri, 18 Dec 2020 01:51:35 +0100

libxstream-java (1.4.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.14.
    - Fix CVE-2020-26217: may allow a remote attacker to run arbitrary shell
      commands only by manipulating the processed input stream.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Ignore org.apache.maven.plugins:maven-antrun-plugin:jar.

 -- Markus Koschany <apo@debian.org>  Thu, 19 Nov 2020 20:46:52 +0100

libxstream-java (1.4.11.1-2) unstable; urgency=medium

  * Removed the dependency on libstax-java
  * Standards-Version updated to 4.5.0
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Apr 2020 23:08:19 +0200
