=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Varun Hiremath <varun@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 9),
- openjdk-7-jdk,
+ debhelper-compat (= 13),
+ default-jdk,
  javahelper,
  libbuild-helper-maven-plugin-java,
- libcglib3-java,
+ libcglib-nodep-java,
  libdom4j-java,
  libjaxb-api-java,
  libjdom1-java,
@@ -20,16 +20,15 @@
  libjoda-time-java,
  libkxml2-java,
  libmaven-bundle-plugin-java,
- libstax-java,
  libstax2-api-java,
  libwoodstox-java,
  libxom-java,
  libxpp3-java,
  maven-debian-helper
-Standards-Version: 4.2.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libxstream-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libxstream-java.git
-Homepage: http://x-stream.github.io
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/java-team/libxstream-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libxstream-java
+Homepage: https://x-stream.github.io
 
 Package: libxstream-java
 Architecture: all
