=== debian/watch ===
version=4
opts="repack,compression=xz,uversionmangle=s/_/./g" \
https://github.com/x-stream/xstream/tags .*/archive/XSTREAM_([\d_]+).tar.gz
