## libxstream-java 1.4.18

=== debian/changelog ===
libxstream-java (1.4.18-2ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2022-41966.patch: XStream serializes Java objects to
      XML and back again. Prior versions may allow a remote attacker to
      terminate the application with a stack overflow error, resulting in a
      denial of service only via manipulation of the processed input stream.
      The attack uses the hash code implementation for collections and maps
      to force recursive hash calculation causing a stack overflow. This
      issue is patched in this version which handles the stack overflow and
      raises an InputManipulationException instead. A potential workaround
      for users who only use HashMap or HashSet and whose XML refers these
      only as default map or set, is to change the default implementation of
      java.util.Map and java.util per the code example in the referenced
      advisory. However, this implies that your application does not care
      about the implementation of the map and all elements are comparable.
      (Closes: #1027754)
    - CVE-2022-41966

 -- Amir Naseredini <amir.naseredini@canonical.com>  Tue, 07 Mar 2023 11:39:13 +0000

libxstream-java (1.4.18-2) unstable; urgency=medium

  * Team upload.
  * Depend on libxpp3-java.
    Sice mxparser has not been packaged yet we still need to depend on
    libxpp3-java in order to not break any reverse-dependencies.

 -- Markus Koschany <apo@debian.org>  Mon, 27 Sep 2021 23:24:18 +0200

libxstream-java (1.4.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.18.
  * Declare compliance with Debian Policy 4.6.0.
  * Drop support for mxparser for now.

 -- Markus Koschany <apo@debian.org>  Fri, 27 Aug 2021 16:20:01 +0200

libxstream-java (1.4.15-4) unstable; urgency=medium

  * Team upload.

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * debian/control
    - Add Rules-Requires-Root: no
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Thu, 01 Jul 2021 20:40:12 +0900
