=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libxstream-java
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Torsten Werner <twerner@debian.org>,
  Varun Hiremath <varun@debian.org>,
@@ -25,14 +26,15 @@
  libxom-java,
  libxpp3-java,
  maven-debian-helper
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/java-team/libxstream-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libxstream-java
 Homepage: https://x-stream.github.io
+Rules-Requires-Root: no
 
 Package: libxstream-java
 Architecture: all
-Depends: ${maven:Depends}, ${misc:Depends}
+Depends: ${maven:Depends}, ${misc:Depends}, libxpp3-java
 Suggests: ${maven:OptionalDepends}
 Description: Java library to serialize objects to XML and back again
  The features of the XStream library are:
