=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  libxom-java,
  libxpp3-java,
  maven-debian-helper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/libxstream-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libxstream-java
 Homepage: https://x-stream.github.io
