## libxstream-java 1.4.20

=== debian/changelog ===
libxstream-java (1.4.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.20.
    - Fix CVE-2022-41966: (Closes: #1027754)
      XStream serializes Java objects to XML and back again. Versions prior to
      1.4.20 may allow a remote attacker to terminate the application with a
      stack overflow error, resulting in a denial of service only via
      manipulation the processed input stream. The attack uses the hash code
      implementation for collections and maps to force recursive hash
      calculation causing a stack overflow. This issue is patched in version
      1.4.20 which handles the stack overflow and raises an
      InputManipulationException instead. A potential workaround for users who
      only use HashMap or HashSet and whose XML refers these only as default
      map or set, is to change the default implementation of java.util.Map and
      java.util per the code example in the referenced advisory. However, this
      implies that your application does not care about the implementation of
      the map and all elements are comparable.
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Wed, 11 Jan 2023 13:15:53 +0100
