## libxstream-java 1.4.21

=== debian/changelog ===
libxstream-java (1.4.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.21:
    - Fixes CVE-2024-47072 (Closes: #1087274) This vulnerability may allow a
    remote attacker to terminate the application with a stack overflow error
    resulting in a denial of service only by manipulating the processed input
    stream when XStream is configured to use the BinaryStreamDriver.
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Fri, 15 Nov 2024 23:58:53 +0100

libxstream-java (1.4.20-2) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.7.0 (no change)
  * Declaring the classpath with Debian-installed jars
  * Skipping maven-jar-plugin and maven-bundle-plugin when building

 -- Pierre Gruet <pgt@debian.org>  Tue, 08 Oct 2024 21:16:44 +0200
