=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libxstream-java
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Torsten Werner <twerner@debian.org>,
  Varun Hiremath <varun@debian.org>,
@@ -20,13 +19,12 @@
  libjettison-java,
  libjoda-time-java,
  libkxml2-java,
- libmaven-bundle-plugin-java,
  libstax2-api-java,
  libwoodstox-java,
  libxom-java,
  libxpp3-java,
  maven-debian-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/libxstream-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libxstream-java
 Homepage: https://x-stream.github.io
